Bug 846037 - suspicious RCU usage. security/selinux/netnode.c:178
suspicious RCU usage. security/selinux/netnode.c:178
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 11:46 EDT by Ales Ledvinka
Modified: 2016-09-20 00:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-23 20:12:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Ledvinka 2012-08-06 11:46:32 EDT
Description of problem:
while running cimtest upstream test suite for libvirt-cim which manages libvirt and it's vm's the console complains. May include restarting services outside test-suite - pre-test suite enviroment setup.

Version-Release number of selected component (if applicable):
kernel-3.4.6-2.fc17.x86_64
kernel-devel-3.6.0-0.rc0.git6.1.fc18.x86_64
kernel-devel-3.4.6-2.fc17.x86_64
kernel-3.6.0-0.rc0.git6.1.fc18.x86_64
kernel-headers-3.6.0-0.rc0.git6.1.fc18.x86_64
dnsmasq-2.59-6.fc18.x86_64
libvirt-daemon-driver-network-0.9.13-3.fc18.x86_64
libvirt-daemon-driver-nwfilter-0.9.13-3.fc18.x86_64
libvirt-daemon-driver-lxc-0.9.13-3.fc18.x86_64
libvirt-daemon-config-network-0.9.13-3.fc18.x86_64
libvirt-0.9.13-3.fc18.x86_64
libvirt-cim-0.6.1-3.fc18.x86_64
libvirt-daemon-driver-nodedev-0.9.13-3.fc18.x86_64
libvirt-client-0.9.13-3.fc18.x86_64
libvirt-daemon-0.9.13-3.fc18.x86_64
libvirt-daemon-driver-xen-0.9.13-3.fc18.x86_64
libvirt-daemon-driver-libxl-0.9.13-3.fc18.x86_64
libvirt-daemon-driver-interface-0.9.13-3.fc18.x86_64
libvirt-python-0.9.13-3.fc18.x86_64
libvirt-daemon-config-nwfilter-0.9.13-3.fc18.x86_64
libvirt-daemon-driver-storage-0.9.13-3.fc18.x86_64
libvirt-daemon-driver-secret-0.9.13-3.fc18.x86_64
libvirt-daemon-xen-0.9.13-3.fc18.x86_64
libvirt-daemon-driver-qemu-0.9.13-3.fc18.x86_64


How reproducible:
not known yet.

Steps to Reproduce:
1.N/A
2.N/A
3.N/A
  
Actual results:
dmesg

[287052.427524] ===============================
[287052.427981] [ INFO: suspicious RCU usage. ]
[287052.445930] 3.6.0-0.rc0.git6.1.fc18.x86_64 #1 Not tainted
[287052.446566] -------------------------------
[287052.447065] security/selinux/netnode.c:178 suspicious rcu_dereference_check() usage!
[287052.447907] 
[287052.447907] other info that might help us debug this:
[287052.447907] 
[287052.448825] 
[287052.448825] rcu_scheduler_active = 1, debug_locks = 0
[287052.449551] 1 lock held by dnsmasq/22397:
[287052.449993]  #0:  (sel_netnode_lock){+.....}, at: [<ffffffff812ea194>] sel_netnode_sid+0x184/0x3e0
[287052.451047] 
[287052.451047] stack backtrace:
[287052.451542] Pid: 22397, comm: dnsmasq Not tainted 3.6.0-0.rc0.git6.1.fc18.x86_64 #1
[287052.452375] Call Trace:
[287052.452665]  [<ffffffff810d038d>] lockdep_rcu_suspicious+0xfd/0x130
[287052.453360]  [<ffffffff812ea3ca>] sel_netnode_sid+0x3ba/0x3e0
[287052.453986]  [<ffffffff812ea010>] ? sel_netnode_find+0x180/0x180
[287052.454643]  [<ffffffff812e1218>] selinux_socket_bind+0xf8/0x2d0
[287052.455560]  [<ffffffff812da136>] security_socket_bind+0x16/0x20
[287052.456987]  [<ffffffff8157896a>] sys_bind+0x7a/0x100
[287052.457932]  [<ffffffff816dfb15>] ? sysret_check+0x22/0x5d
[287052.458690]  [<ffffffff810d4c2d>] ? trace_hardirqs_on_caller+0x10d/0x1a0
[287052.459565]  [<ffffffff8110025c>] ? __audit_syscall_entry+0xcc/0x300
[287052.460386]  [<ffffffff8134c5ae>] ? trace_hardirqs_on_thunk+0x3a/0x3f
[287052.461214]  [<ffffffff816dfae9>] system_call_fastpath+0x16/0x1b


Expected results:


Additional info:
Comment 1 Ales Ledvinka 2012-08-06 12:04:29 EDT
host - f17 - permissive
guest level 1 - f18 - permissive (running the testsuite, libvirtd, dnsmasq and showing the suspicious usage message
guest level 2 - f17 - permissive (most likely not related and not running, the one being run by the tests nested inside the vm.)
Comment 2 Dave Jones 2012-08-06 12:44:15 EDT
annoying. I've been reporting this for over a year upstream. I'll push it again.

https://lkml.org/lkml/2011/4/20/308
https://lkml.org/lkml/2012/6/5/10
Comment 3 Josh Boyer 2012-08-10 10:05:13 EDT
Eric, I'm assuming you're going to get Dave's patch into the 3.6 kernel?
Comment 4 Josh Boyer 2012-08-21 13:18:55 EDT
I'm sure Eric won't let the ball drop for a third time.  I have faith in him.

In the meantime, I've added the patch to F18/rawhide.
Comment 5 Fedora Update System 2012-08-22 12:06:49 EDT
kernel-3.6.0-0.rc2.git2.1.fc18, grub2-2.00-5.fc18, pesign-0.10-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.6.0-0.rc2.git2.1.fc18,grub2-2.00-5.fc18,pesign-0.10-4.fc18
Comment 6 Fedora Update System 2012-08-23 20:12:09 EDT
kernel-3.6.0-0.rc2.git2.1.fc18, grub2-2.00-5.fc18, pesign-0.10-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.